NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Drawings.SectionLineSegmentPointListBuilder Member List

This is the complete list of members for NXOpen.Drawings.SectionLineSegmentPointListBuilder, including all inherited members.

AddCutSegment(NXOpen.Point location)NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
AddCutSegment(NXOpen.Point location, NXOpen.Drawings.SectionLineSegmentPointBuilder referencedCutSegment)NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
Append(NXOpen.Drawings.SectionLineSegmentPointBuilder pointData)NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
Clear()NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
CreateSectionLineSegmentPointBuilder()NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
Delete(NXOpen.Drawings.SectionLineSegmentPointBuilder point)NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
Delete(int index)NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
FindItem(int index)NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
GetContents()NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
GetIndex(NXOpen.Drawings.SectionLineSegmentPointBuilder point)NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
Insert(int insertBeforeIndex, NXOpen.Drawings.SectionLineSegmentPointBuilder point)NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
LengthNXOpen.Drawings.SectionLineSegmentPointListBuilder
MoveSegment(NXOpen.Drawings.SectionLineSegmentPointBuilder point, NXOpen.Point pointspecified)NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
NextSinkNXOpen.Utilities.NXRemotableObject
PrintTestData(String variableName)NXOpen.TaggedObjectinline
PrintTestData(String variableName, int lineNumber)NXOpen.TaggedObjectinline
SetContents(NXOpen.Drawings.SectionLineSegmentPointBuilder[] points)NXOpen.Drawings.SectionLineSegmentPointListBuilderinline
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.TaggedObject
ToString()NXOpen.TaggedObjectinline
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.